/*
 * WS2812B driver for Signal tower
 * Date: 25/02/2019
 * Author: Hugo Arends
 *
 *               +----------+
 *      Layer 3  |LED3  LED4|
 *               |          |
 *               |          |
 *               |          |
 *      Layer 2  |LED2  LED5|
 *               |          |
 *               |          |
 *               |          |
 *      Layer 1  |LED1  LED6|
 *               |          |
 *               |          |
 *               |          |
 *      Layer 0  |LED0  LED7|
 *               |          |
 *    ==========/            \
 *  Connection |              |
 *  wires      +--------------+
 */

#ifndef WS2812B_H_
#define WS2812B_H_

// Includes
#include "stm32f10x.h"

// Function prtotypes
void ws2812b_init(uint8_t channel);
void ws2812b_write(uint32_t layer0_grb, uint32_t layer1_grb, uint32_t layer2_grb, uint32_t layer3_rgb);
void ws2812b_reset(void);

#endif /* WS2812B_H_ */
